# FoundationClasses
TKMath
math

# math Class Reference

`#include <math.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)

## Static Public Member Functions

static Standard_EXPORT Standard_Integer | GaussPointsMax ()
static Standard_EXPORT void | GaussPoints (const Standard_Integer Index, math_Vector &Points)
static Standard_EXPORT void | GaussWeights (const Standard_Integer Index, math_Vector &Weights)
static Standard_EXPORT Standard_Integer | KronrodPointsMax ()
| Returns the maximal number of points for that the values are stored in the table. If the number is greater then KronrodPointsMax, the points will be computed. .
static Standard_EXPORT Standard_Boolean | OrderedGaussPointsAndWeights (const Standard_Integer Index, math_Vector &Points, math_Vector &Weights)
static Standard_EXPORT Standard_Boolean | KronrodPointsAndWeights (const Standard_Integer Index, math_Vector &Points, math_Vector &Weights)

## Member Function Documentation

static Standard_EXPORT void math::GaussPoints | ( | const Standard_Integer | Index,
|  | math_Vector & | Points
| ) | `[static]`

static Standard_EXPORT Standard_Integer math::GaussPointsMax | ( |  | ) | `[static]`

static Standard_EXPORT void math::GaussWeights | ( | const Standard_Integer | Index,
|  | math_Vector & | Weights
| ) | `[static]`

static Standard_EXPORT Standard_Boolean math::KronrodPointsAndWeights | ( | const Standard_Integer | Index,
|  | math_Vector & | Points,
|  | math_Vector & | Weights
| ) | `[static]`

static Standard_EXPORT Standard_Integer math::KronrodPointsMax | ( |  | ) | `[static]`

void math::operator delete | ( | void * | anAddress | ) | `[inline]`

void* math::operator new | ( | size_t | size | ) | `[inline]`

void* math::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

static Standard_EXPORT Standard_Boolean math::OrderedGaussPointsAndWeights | ( | const Standard_Integer | Index,
|  | math_Vector & | Points,
|  | math_Vector & | Weights
| ) | `[static]`

The documentation for this class was generated from the following file:

- math.hxx